<wrapper [class]='myClass'>
  <div class="header"></div>
  <div class="page">
    <div class="container-fluid w-responsive">
      <div class="row">
        <div class="col-md-1 col-xl-2 min-heigth"></div>
        <div class="col-md-10 col-xl-8">
          <div class="card">
            <p class="text-center h3 pt-5 mb-4">Create User</p>
            <form *ngIf="show_result" class="text-center" [formGroup]="createUserForm" novalidate (ngSubmit)="createUser(createUserForm.value)">
              <div class="row">
                <div class="col-1"></div>
                <div class="col-10">
                  <div class="row col-12">
                    <div class="col-6">
                      <mat-form-field class="full-width">
                        <input matInput placeholder="Firstname" formControlName="firstname" required>
                      </mat-form-field>
                    </div>
                    <div class="col-6">
                      <mat-form-field class="full-width">
                        <input matInput placeholder="Lastname" formControlName="lastname" required>
                      </mat-form-field>
                    </div>
                  </div>
                  <div class="row col-12">
                    <div class="col-6">
                      <mat-form-field class="full-width">
                        <input matInput placeholder="Email" formControlName="email" required>
                      </mat-form-field>
                    </div>
                    <div class="col-6">
                      <mat-form-field class="full-width">
                        <mat-label>Role</mat-label>
                        <mat-select formControlName="role" required>
                          <mat-option value="admin">
                            admin
                          </mat-option>
                          <mat-option value="user">
                            user
                          </mat-option>
                        </mat-select>
                      </mat-form-field>
                    </div>
                  </div>
                  <div class="row col-12">
                    <div class="col-6">
                      <mat-form-field class="full-width">
                        <input matInput [type]="show ? 'text' : 'password'" placeholder="Password" formControlName="password" required>
                        <mat-icon matSuffix (click)="show = !show">{{show ? 'visibility_off' : 'visibility'}}</mat-icon>
                      </mat-form-field>
                    </div>
                    <div class="col-6">
                      <mat-form-field class="full-width">
                        <input matInput [type]="show ? 'text' : 'password'" placeholder="Confirm Password" formControlName="confirmPassword" required>
                        <mat-icon matSuffix (click)="show = !show">{{show ? 'visibility_off' : 'visibility'}}</mat-icon>
                      </mat-form-field>
                    </div>
                  </div>
                  <button class="mt-3 mb-4" color="orange" mat-raised-button type="submit" [disabled]="!createUserForm.valid">
                    Create user
                  </button>
                </div>
                <div class="col-1"></div>
              </div>
            </form>
            <span *ngIf="!show_result" class="loader mt-2 mb-5"></span>
          </div>    
        </div>
        <div class="col-md-1 col-xl-2"></div>
      </div>
    </div>
  </div>
</wrapper>